Bug 172256 - AWT thread blocked for few minutes while searching GC root in heapdump
AWT thread blocked for few minutes while searching GC root in heapdump
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Sedlacek
issues@profiler
http://beetle.czech.sun.com/data/tran...
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 08:48 UTC by Jindrich Sedek
Modified: 2009-12-04 03:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
full threaddump of profiler walking probably through a long linked list (109.56 KB, text/plain)
2009-09-15 08:49 UTC, Jindrich Sedek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2009-09-15 08:48:20 UTC
Download and Open heapdump (URL is at URL bug field)
Select to show instances of StackTraceElement
choose some of instances ( somewhere in the middle of the instances list )
invoke fing nearest GC root
progress dialog appears, search takes about 10s

dialog disappears and AWT gets blocked beacuse of profile heapwalk:

"AWT-EventQueue-1" prio=10 tid=0x00000000415af800 nid=0x7d16 runnable [0x00007f9ebe9a5000]
   java.lang.Thread.State: RUNNABLE
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
	at org.netbeans.modules.profiler.heapwalk.model.BrowserUtils.getFullNodeName(BrowserUtils.java:103)
Comment 1 Jindrich Sedek 2009-09-15 08:49:49 UTC
Created attachment 87663 [details]
full threaddump of profiler walking probably through a long linked list
Comment 2 Jiri Sedlacek 2009-09-22 10:22:28 UTC
Fixed in profiler-main:

 - optimized BrowserUtils.getFullNodeName: http://hg.netbeans.org/profiler-main/rev/ecda83c2704b
 - improved TreeTable performance: http://hg.netbeans.org/profiler-main/rev/f0b5ca6c2608
 - collapsing of LinkedList$Entry chain into a single node: http://hg.netbeans.org/profiler-main/rev/30d46f744589
Comment 3 Quality Engineering 2009-09-24 12:34:11 UTC
Integrated into 'main-golden', will be available in build *200909230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f0b5ca6c2608
User: Jiri Sedlacek <jis@netbeans.org>
Log: Partial Bugfix #172256 - improved JTreeTable performance
Comment 4 Jindrich Sedek 2009-12-04 03:53:28 UTC
great progress :)
verified.
NetBeans IDE 6.8 RC2 (Build 200912022200)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo